# Class `Objects.Volume`

Activator volume.

## Functions

Volume:GetName() | Get the unique string identifier of this volume.
Volume:GetPosition() | Get the position of this volume.
Volume:GetRotation() | Get the rotation of this volume.
Volume:GetScale() | Get this scale of this volume.
Volume:SetName(name) | Set the unique string identifier of this volume.
Volume:SetPosition(pos) | Set the position of this volume.
Volume:SetRotation(rot) | Set the rotation of this volume.
Volume:SetScale(scale) | Set the scale of the volume.
Volume:GetActive() | Determine if this volume is active.
Volume:IsMoveableInside(Moveable) | Determine if a moveable is inside this volume.
Volume:Enable() | Enable this volume.
Volume:Disable() | Disable this volume.
Volume:ClearActivators() | Clear the activators for this volume, allowing it to trigger again.

## Functions

Volume:GetName()
  Get the unique string identifier of this volume. ()

  ### Returns:

  string Name.
Volume:GetPosition()
  Get the position of this volume. ()

  ### Returns:

  Vec3 Position.
Volume:GetRotation()
  Get the rotation of this volume. ()

  ### Returns:

  Rotation Rotation.
Volume:GetScale()
  Get this scale of this volume. ()

  ### Returns:

  Vec3 Scale.
Volume:SetName(name)
  Set the unique string identifier of this volume. ()

  ### Parameters:

  - name string New name.
Volume:SetPosition(pos)
  Set the position of this volume. ()

  ### Parameters:

  - pos Vec3 New position.
Volume:SetRotation(rot)
  Set the rotation of this volume. ()

  ### Parameters:

  - rot Rotation New rotation.
Volume:SetScale(scale)
  Set the scale of the volume. ()

  ### Parameters:

  - scale Vec3 New scale.
Volume:GetActive()
  Determine if this volume is active. ()

  ### Returns:

  bool Boolean representing active status.
Volume:IsMoveableInside(Moveable)
  Determine if a moveable is inside this volume. ()

  ### Parameters:

  - Moveable Moveable to be checked for containment.

  ### Returns:

  bool Boolean representing containment status.
Volume:Enable()
  Enable this volume. ()
Volume:Disable()
  Disable this volume. ()
Volume:ClearActivators()
  Clear the activators for this volume, allowing it to trigger again. ()

generated by TEN-LDoc (a fork of LDoc 1.4.6)